Skip to content

List conversations

GET
/inbox/messages
curl --request GET \
--url 'https://postflow.biz.id/api/v1/inbox/messages?status=new' \
--header 'Authorization: Bearer <token>'

Direct message conversations on Facebook and Instagram, newest first (up to 60).

MCP tool: list_conversations.

status
string
default: new
Allowed values: new done all

new = waiting for an answer.

account
string

Only this account (id).

OK

Media typeapplication/json
Array<object>
object
id
required
string
account
required
object
id
required
string
platform
required
string
Allowed values: facebook instagram tiktok threads bluesky youtube telegram
name
required
string
username
required
Any of:
string
avatarUrl
required
Any of:
string
participant
required
object
id
required
string
name
required
Any of:
string
username
required
Any of:
string
lastText
required
string
lastMessageAt
required
string format: date-time
status
required
string
Allowed values: new done
replyUntil
required
Any of:

Replies are allowed until then: 24 hours after their last message.

string format: date-time

Example

[
{
"account": {
"platform": "facebook"
},
"status": "new"
}
]

Missing, invalid, expired or deleted key or token.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: UNAUTHENTICATED FORBIDDEN NOT_FOUND VALIDATION CONFLICT SUBSCRIPTION_GRACE SUBSCRIPTION_EXPIRED PLAN_LIMIT RATE_LIMITED INTERNAL
message
required

A sentence you can show to a person.

string
details

Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.

Example

{
"error": {
"code": "UNAUTHENTICATED"
}
}

More than 120 requests in a minute with this key.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: UNAUTHENTICATED FORBIDDEN NOT_FOUND VALIDATION CONFLICT SUBSCRIPTION_GRACE SUBSCRIPTION_EXPIRED PLAN_LIMIT RATE_LIMITED INTERNAL
message
required

A sentence you can show to a person.

string
details

Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.

Example

{
"error": {
"code": "UNAUTHENTICATED"
}
}